.\" $NetBSD: sony.4,v 1.1 2007/12/23 17:39:20 jmcneill Exp $
.\"
.\" Copyright (c) 2005 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Christos Zoulas.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 23, 2007
.Dt SONY 4
.Os
.Sh NAME
.Nm sony
.Nd Sony Miscellaneous Controller
.Sh SYNOPSIS
.Cd "sony*    at acpi?"
.Sh DESCRIPTION
Some
.Tn Sony
notebook computers have a controller that handles various built-in
devices.
The
.Nm
driver provides support for accessing/modifying the settings of
some of these devices via the
.Xr sysctl 8
interface.
.Pp
The following
.Xr sysctl 8
variables are available:
.Pp
.Bl -tag -width "hw.sony0.brt [R/W]" -compact
.It Em hw.sony0.brt Bq R/W
Controls current LCD brightness.
Range [0-8].
.It Em hw.sony0.pbr Bq R/W
Controls power on LCD brightness.
Range [0-8].
.It Em hw.sony0.cdp Bq R/W
Controls CD power.
.It Em hw.sony0.pid Bq R/O
Unknown
.It Em hw.sony0.ctr Bq R/W
Unknown
.It Em hw.sony0.pcr Bq R/W
Unknown
.It Em hw.sony0.cmi Bq R/W
Unknown
.It Em hw.sony0.ams Bq R/W
Audio control (mute when 0)
.It Em hw.sony0.hke Bq R/O
Indicates a Host Key Event.
Bits are set when an event occurs and cleared when this value is
read.
The following table describes the bit set for each button pressed:
.Pp
.Bl -tag -width 0x1000 -offset indent -compact
.It Em 0x1000
S1 button
.It Em 0x0800
S2 button
.It Em 0x0200
Fn + F10 (magnify)
.It Em 0x0100
Mute button
.It Em 0x0020
Fn + F12 (suspend to disk)
.It Em 0x0010
Fn + F7 (LCD/external monitor)
.It Em 0x0008
Fn + F6 (brighter backlight)
.It Em 0x0004
Fn + F5 (darker backlight)
.It Em 0x0002
Fn + F4 (volume up)
.It Em 0x0001
Fn + F3 (volume down)
.El
.El
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr spic 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 4.0 .
.Sh AUTHORS
Sami Kantoluoto for the original driver and manual information.
Christos Zoulas for cleaning up the driver and this manual page.
.Sh BUGS
.Bl -bullet
.It
The
.Nm
driver just parses integer values from the
.Xr acpi 4
tree.
It could be more intelligent and parse other controls.
.It
The
.Xr sysctl 8
interface is not great.
The names of the
.Xr sysctl 8
tree are not self-explanatory.
.It
No validity checks are performed on the user input.
Playing with random values and/or unknown controls can harm your
machine.
.It
The name of the driver is too generic.
.El
